Pair a display
curl --request POST \
--url https://b.anny.co/api/v1/displays/{display_id}/pair \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"code": "<string>"
}
'import requests
url = "https://b.anny.co/api/v1/displays/{display_id}/pair"
payload = { "code": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({code: '<string>'})
};
fetch('https://b.anny.co/api/v1/displays/{display_id}/pair', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "displays",
"attributes": {
"mac_address": "<string>",
"name": "<string>",
"width": 123,
"height": 123,
"orientation": "<string>",
"locale": "<string>",
"timezone": "<string>",
"battery_level": 123,
"temperature": 123,
"version": "<string>",
"config": {},
"layout": {},
"last_synced_at": "<string>",
"anonymize": true,
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"owner": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"display_type": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
},
"meta": {
"is_paired": true,
"has_resource": true,
"update_available": true
}
}
}Integrations & Apps
Pair a display
POST
/
api
/
v1
/
displays
/
{display_id}
/
pair
Pair a display
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The display identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Antwort
200 - application/vnd.api+json
OK
A physical display device showing booking information.
Show child attributes
Show child attributes
⌘I